mount_vfs_model_path(current_mod_path.."/Shapes")

dofile("Scripts/Database/wsTypes.lua")

local alpha_master = 85 --127,--/N/ 255 - totally opaque
local dir_X = 0
local dir_Y = 0
local dir_Z = 0
local picture_common = "CE2_smoke_oil_canister.png"

local rvb_RP = 0		-- Pesticide color
local rvb_GP = 128
local rvb_BP = 0

local rvb_RF = 150		-- Fertilizer color
local rvb_GF = 150 --255
local rvb_BF = 150 

local rvb_RH = 255		-- Herbicide color  
local rvb_GH = 100 --255     
local rvb_BH = 0 


declare_loadout(
	{		
		category			= CAT_PODS,   
		CLSID				= "{SPRAY_P}",
		attribute			= {wsType_Weapon, wsType_GContainer, wsType_Smoke_Cont, WSTYPE_PLACEHOLDER},
		Count				= 1,
		Picture				= picture_common,
		displayName			= _("Spray Pesticide"),  
		Weight				= 5 * 3.785412,
		Cx_pil				= 0.00001,
		
		Elements = {
		},
		
		Smoke = {
            alpha = alpha_master * 2.0,
            r = rvb_RP,
            g = rvb_GP,
            b = rvb_BP,
            dx = dir_X,
            dy = dir_Y,
			dz = dir_Z,
        },
	}
)

declare_loadout(
	{		
		category			= CAT_PODS,
		CLSID				= "{SPRAY_F}",
		attribute			= {wsType_Weapon, wsType_GContainer, wsType_Smoke_Cont, WSTYPE_PLACEHOLDER},
		Count				= 1,
		Picture				= picture_common,
		displayName			= _("Spray Fertilizer"),  
		Weight				= 5 * 3.785412,
		Cx_pil				= 0.00001,
		
		Elements = {
		},
		
		Smoke = {
            alpha = alpha_master * 2.0,
            r = rvb_RF,
            g = rvb_GF,
            b = rvb_BF,
            dx = dir_X,
            dy = dir_Y,
			dz = dir_Z,
        },
	}
)


declare_loadout(
	{		
		category			= CAT_PODS,
		CLSID				= "{SPRAY_H}",
		attribute			= {wsType_Weapon, wsType_GContainer, wsType_Smoke_Cont, WSTYPE_PLACEHOLDER},
		Count				= 1,
		Picture				= picture_common,
		displayName			= _("Spray Herbicide"),  
		Weight				= 5 * 3.785412,
		Cx_pil				= 0.00001,
		
		Elements = {
		},
		
		Smoke = {
            alpha = alpha_master * 2.0,
            r = rvb_RH,
            g = rvb_GH,
            b = rvb_BH,
            dx = dir_X,
            dy = dir_Y,
			dz = dir_Z,
        },
	}
)



declare_loadout(
	{		
		category			= CAT_PODS,
		CLSID				= "{SPRAYER_P}",
		attribute			= {wsType_Weapon, wsType_GContainer, wsType_Smoke_Cont, WSTYPE_PLACEHOLDER},
		Count				= 1,
		Picture				= "agrarspray.png",
		displayName			= _("Sprayer Pesticide"), 
		Weight				= 100,
		Cx_pil				= 0.00001,

		Elements = {
		},
		
		Smoke = {
            alpha = alpha_master * 2.0,
            r = rvb_RP,
            g = rvb_GP,
            b = rvb_BP,
            dx = dir_X,
            dy = dir_Y,
			dz = dir_Z,			
        },
		shape_table_data = {
			{file = 'agrarspray_p'; username = 'agrarspray_p'; index = WSTYPE_PLACEHOLDER;}
		}
	}
)

declare_loadout(
	{		
		category			= CAT_PODS,
		CLSID				= "{SPRAYER_F}",
		attribute			= {wsType_Weapon, wsType_GContainer, wsType_Smoke_Cont, WSTYPE_PLACEHOLDER},
		Count				= 1,
		Picture				= "agrarspray.png",
		displayName			= _("Sprayer Fertilizer"),  
		Weight				= 100,
		Cx_pil				= 0.00001,   

		Elements = {
		},
		
		Smoke = {
            alpha = alpha_master * 2.0, 
            r = rvb_RF,
            g = rvb_GF,
            b = rvb_BF,
            dx = dir_X, 
            dy = dir_Y,
			dz = dir_Z,			
        },
		shape_table_data = {
			{file = 'agrarspray_f'; username = 'agrarspray_f'; index = WSTYPE_PLACEHOLDER;}
		}
	}
)


declare_loadout(
	{		
		category			= CAT_PODS,
		CLSID				= "{SPRAYER_H}",
		attribute			= {wsType_Weapon, wsType_GContainer, wsType_Smoke_Cont, WSTYPE_PLACEHOLDER},
		Count				= 1,
		Picture				= "agrarspray.png",
		displayName			= _("Sprayer Herbicide"),  
		Weight				= 100,
		Cx_pil				= 0.00001,   

		Elements = {
		},
		
		Smoke = {
            alpha = alpha_master * 2.0,  
            r = rvb_RH,
            g = rvb_GH,
            b = rvb_BH,
            dx = dir_X, 
            dy = dir_Y,
			dz = dir_Z,			
        },
		shape_table_data = {
			{file = 'agrarspray_f_20'; username = 'agrarspray_h'; index = WSTYPE_PLACEHOLDER;}
		}
	}
)